我正在尝试在windows下为节点安装firebird驱动程序。

当我尝试npm install firebird时,它出错并出现以下错误:

'node-waf'不被识别为内部或外部命令

我尝试从https://github.com/xdenser/node-firebird-libfbclient下载windows实验版本,但也失败并出现以下错误:

node test.js

无法加载共享库C:\\ firebird \\ node_modules \\ firebird \\ build \\ release \\ binding.node

如何为节点安装firebird驱动程序?

===============>>#1 票数:3 已采纳

您还必须安装Firebird客户端。 修复了Github上的README。

===============>>#2 票数:1

在他们的Github页面上,在“Under Windows”部分下阅读他们的Windows实验包。

===============>>#3 票数:0

我有同样的错误,fbclient肯定是安装的。 (甚至使用了instclient,它在win \\ sys32中确认了fbclient.dll)

错误:无法加载共享库D:\\ node-firebird-win \\ Release \\ node_modules \\ firebird \\ build \\ Release \\ binding.node

另外,看不到package.json文件(猜测不是强制性的)。 汤姆


编辑:卸载,然后重新安装Firebird(2.1.4 x64),现在一切正常。

  ask by firebird translate from so

未解决问题?本站智能推荐: